%define upstream_name	 Time-Piece
%define upstream_version 1.29

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Object Oriented time objects
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
This module replaces the standard localtime and gmtime functions with
implementations that return objects. It does so in a backwards compatible
manner, so that using localtime/gmtime in the way documented in perlfunc will
still return what you expect.

The module actually implements most of an interface described by Larry Wall on
the perl5-porters mailing list here:
http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2000-01/msg00241.html

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/Time
%{perl_vendorarch}/auto/Time
%{_mandir}/*/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-3.mga5
+ Revision: 747837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-2.mga5
+ Revision: 686705
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 1.290.0-1.mga5
+ Revision: 670897
- update to 1.29

* Tue Jun 03 2014 pterjan <pterjan> 1.270.0-2.mga5
+ Revision: 631817
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 1.270.0-1.mga5
+ Revision: 587345
- update to 1.27

* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 534075
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 476239
- update to 1.23

* Mon Aug 12 2013 sander85 <sander85> 1.220.0-1.mga4
+ Revision: 465929
- update to 1.22

* Wed May 29 2013 jquelin <jquelin> 1.200.0-8.mga4
+ Revision: 431824
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-7.mga3
+ Revision: 374357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.200.0-6.mga3
+ Revision: 251262
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.200.0-5.mga2
+ Revision: 105060
- Rebuild for perl 5.14

* Tue Jan 18 2011 blino <blino> 1.200.0-4.mga1
+ Revision: 23273
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-Time-Piece


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.200.0-3mdv2011.0
+ Revision: 564586
- rebuild for perl 5.12.1

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 526458
- update to 1.20

* Thu Feb 11 2010 Jérôme Quelin <jquelin@mandriva.org> 1.190.0-1mdv2010.1
+ Revision: 504074
- update to 1.19

* Tue Feb 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2010.1
+ Revision: 499487
- update to 1.17

* Tue Jan 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.1
+ Revision: 490070
- update to 1.16

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.150.0-1mdv2010.0
+ Revision: 405766
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2010.0
+ Revision: 390366
- update to new version 1.15

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2010.0
+ Revision: 373752
- update to new version 1.14

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.13-2mdv2009.0
+ Revision: 224570
- rebuild

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2008.1
+ Revision: 177899
- update to new version 1.13

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.12-2mdv2008.1
+ Revision: 151404
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2008.1
+ Revision: 110281
- update to new version 1.12


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2007.0
+ Revision: 111256
- fix build dependencies
- Import perl-Time-Piece

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2007.1
- first mdv release

